.image-and-text__inner {
    display: flex;
    align-items: center;
    gap: 4em;
}

.image-and-text__content {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 1.5em;
}

.image-and-text__supertitle {
    opacity: .5;
    text-transform: uppercase;
}

.image-and-text__h2 {
    margin: 0;
}

.image-and-text__p {
    opacity: .6;
    margin: 0;
}

.image-and-text__buttons {
    display: flex;
    gap: 10px;
}

.image-and-text__button {
    font-family: inherit;
    font-size: inherit;
    text-align: center;
    text-decoration: none;
    border-radius: 100px;
    padding: 12px 30px;
    cursor: pointer;
    transition: opacity 0.3s ease;
}

.image-and-text__button:hover {
    opacity: 0.8;
}

.image-and-text__button--primary {
    background-color: #000000;
    color: #FFFFFF;
    border: none;
}

.image-and-text__button--secondary {
    background-color: transparent;
    color: #000000;
    border: 1px solid #000000;
}

.image-and-text__media {
    flex: 1;
}

.image-and-text__image {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 0.5em;
}

@media (max-width: 768px) {
    .image-and-text__inner {
        flex-direction: column;
    }

    .image-and-text__buttons {
        flex-direction: column;
        align-items: flex-start;
    }
}
